moeoLS(3)

NAME
moeoLS - Abstract class for local searches applied to multi-objective optimization.

SYNOPSIS

#include <moeoLS.h>

Inherits eoBF< Type, moeoArchive< MOEOT > &, void >.

Inherited by moeoCombinedLS< MOEOT, Type >.

Detailed Description

  template<class MOEOT, class Type> class moeoLS< MOEOT, Type >
Abstract class for local searches applied to multi-objective optimization. Starting from a Type (i.e.: an individual, a pop, an archive...), it produces a set of new non-dominated solutions.

Definition at line 24 of file moeoLS.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.